Subject: Re: bug#61290: 28.2; Ligatures messing up fontify subscripts in AUCTeX
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Sun, 12 Feb 2023 14:16:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Sun, 05 Feb 2023 13:58:46 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Tassilo Horn <[email-masked]>
> > Cc: Jeremy Van Cleve <[email-masked]>, [email-masked]
> > Date: Sun, 05 Feb 2023 10:28:42 +0100
> > 
> > I'm somewhat relieved to say its the very same with the stock emacs
> > tex-mode.el which does pretty much the same as AUCTeX, i.e., a simple
> > reproducer is to open the tex file
> > 
> > --8<---------------cut here---------------start------------->8---
> > \documentclass{article}
> > \begin{document}
> > \begin{equation}
> >   A_{x+b-c*d/e}
> > \end{equation}
> > Here is a ligature -> and another one !=.
> > \end{document}
> > --8<---------------cut here---------------end--------------->8---
> > 
> > with emacs -Q.  It looks correct but gets wonky after evaluating
> > Jeremy's ligature setup.
> 
> Thanks, should be fixed now on the emacs-29 branch.

No further comments, so I assume the bug is fixed, and I'm closing
this.